apiVersion: batch/v1
kind: Job
metadata:
  name: "{{ .Values.people_job.name }}"
spec:
  backoffLimit: 5
  template:
    spec:
      containers:
        - image: "{{ .Values.people_job.image.repository }}:{{ .Values.people_job.image.tag | default .Chart.AppVersion }}"
          name: "{{ .Values.people_job.name }}"
          envFrom:
            - secretRef:
                name: postgres-secret
      restartPolicy: OnFailure
      imagePullSecrets:
        - name: gcrsec